package cn.com.infosec.asn1.isismtt.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERString;
import cn.com.infosec.asn1.x500.DirectoryString;

public class Restriction extends ASN1Encodable {
   private DirectoryString restriction;

   public static Restriction getInstance(Object obj) {
      if (obj != null && !(obj instanceof Restriction)) {
         if (obj instanceof DERString) {
            return new Restriction(DirectoryString.getInstance(obj));
         } else {
            throw new IllegalArgumentException("illegal object in getInstance: " + obj.getClass().getName());
         }
      } else {
         return (Restriction)obj;
      }
   }

   private Restriction(DirectoryString restriction) {
      this.restriction = restriction;
   }

   public Restriction(String restriction) {
      Restriction var10000 = this;
      super();
      DirectoryString var2;
      var2 = new DirectoryString.<init>(restriction);
      var10000.restriction = var2;
   }

   public DirectoryString getRestriction() {
      return this.restriction;
   }

   public DERObject toASN1Object() {
      return this.restriction.toASN1Object();
   }
}
